<?php

$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);
$setPost = array_map("strip_tags", $getPost);
$post = array_map("trim", $setPost);

$jSon = array();

require ('../../../_app/Config.inc.php');

if (in_array('', $post)):
    $jSon['error'] = ["Preencha todos os campos!", WS_ALERT];
elseif (!Check::Email($post['email']) || !filter_var($post['email'], FILTER_VALIDATE_EMAIL)):
    $jSon['error'] = ["Por favor informe um e-mail válido!", WS_ERROR];
else:
    $Read = new Read;
    $Read->FullRead("SELECT usuario_nome, usuario_email, usuario_senha FROM tp_usuarios WHERE usuario_email = :email", "email={$post['email']}");

    if ($Read->getRowCount() > 0):
        extract($Read->getResult()[0]);
        
        $usuario_senha = base64_decode($usuario_senha);
        
        //montando os dados para o envio do email
        $Dados['Assunto'] = 'Recuperação de Senha da OGEFX';
        $Dados['DestinoNome'] = $usuario_nome;
        $Dados['DestinoEmail'] = $usuario_email;
        $Dados['RemetenteNome'] = 'Equipe OGEFX';
        $Dados['RemetenteEmail'] = 'suporte@ogefx.com.br';
        $Dados['Mensagem'] = '<img src="http://www.ogefx.com.br/painel/images/logo-ogefx.png" align="center"><hr><h3>Olá, ' . $usuario_nome . ',</h3> <br> Segue a sua senha de acesso ao OGEFX.<br><br>Senha: ' . $usuario_senha . '<br><br><br>Atenciosamente,<br><br>Equipe OGEFX<br><br><i><small>Não é necessário responder a esse e-mail.</small></i>';

        $Email = new Email;
        $Email->Enviar($Dados);
        if ($Email->getError()[1] == WS_ACCEPT):
            $jSon['error'] = ["Sua senha foi encontrada e enviada para seu e-mail: <b>{$usuario_email}</b>.", WS_ACCEPT];
        else:
            $jSon['error'] = [$Email->getError()[0], $Email->getError()[1]];
        endif;

    else:
        $jSon['error'] = ['O e-mail informado não existe em nossos cadastros!', WS_ERROR];
    endif;
endif;

echo json_encode($jSon);
?>